%global pypi_name humanize

%bcond_without check

Name:           python-humanize
Version:        4.3.0
Release:        %mkrel 1
Summary:        Turns dates in to human readable format, e.g '3 minutes ago'
Group:          Development/Python
License:        MIT
URL:            https://github.com/jmoiron/humanize
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if %{with check}
BuildRequires:  python3-freezegun
BuildRequires:  python3-mock
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-cov
%endif

%description
This modest package contains various common humanization utilities, like turning
a number into a fuzzy human readable duration ('3 minutes ago') or into a human
readable size or throughput.

%package -n python3-humanize
Summary: Turns dates in to human readable format, e.g '3 minutes ago'
%{?python_provide:%python_provide python3-humanize}

%description -n python3-humanize
This modest package contains various common humanization utilities, like turning
a number into a fuzzy human readable duration ('3 minutes ago') or into a human
readable size or throughput.

%prep
%setup -q -n %pypi_name-%{version}

# fix version
if ! grep -q '^version\s\+=' setup.cfg; then
  perl -pi -e 's/(^name\s+=\s+.*)/$1\nversion = %{version}/' setup.cfg
fi

%build
%pyproject_wheel

%install
%pyproject_install

# remove .po files
rm -rf %{buildroot}%{python3_sitelib}/%pypi_name/locale/*/LC_MESSAGES/*.po

%if %{with check}
%check
%pytest
%endif

%files -n python3-humanize
%license LICENCE
%doc README*
%{python3_sitelib}/%pypi_name/
%{python3_sitelib}/%pypi_name-%version.dist-info/


%changelog
* Thu Sep 29 2022 neoclust <neoclust> 4.3.0-1.mga9
+ Revision: 1893364
- New version  4.3.0

* Thu Mar 31 2022 umeabot <umeabot> 4.0.0-2.mga9
+ Revision: 1836360
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 wally <wally> 4.0.0-1.mga9
+ Revision: 1775269
- new version 4.0.0
- rebuild for python3.10

* Sun Aug 29 2021 wally <wally> 3.11.0-1.mga9
+ Revision: 1743395
- new version 3.11.0

* Sun Mar 14 2021 wally <wally> 0.5.1-5.mga9
+ Revision: 1702844
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.5.1-4.mga8
+ Revision: 1535027
- Mageia 8 Mass Rebuild

* Tue Oct 08 2019 wally <wally> 0.5.1-3.mga8
+ Revision: 1450634
- rebuild for python3.8

* Tue Jan 08 2019 shlomif <shlomif> 0.5.1-2.mga7
+ Revision: 1352424
- Rebuild for python3 3.7

* Mon Jan 07 2019 ngompa <ngompa> 0.5.1-1.mga7
+ Revision: 1350519
- Update to 0.5.1
- Drop Python 2 subpackage
+ juancho <juancho>
- imported package python-humanize


* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Wed May 14 2014 Steve Traylen <steve.traylen@cern.ch> 0.5-4
- lang fixes for .el6 target.

* Wed Apr 23 2014 Steve Traylen <steve.traylen@cern.ch> 0.5-3
- Use __python2 rather than __python throughout. - rhbz#1088882

* Tue Apr 22 2014 Steve Traylen <steve.traylen@cern.ch> 0.5-2
- Add python3 package - rhbz#1088882.

* Thu Apr 17 2014 Steve Traylen <steve.traylen@cern.ch> 0.5-1
- First release

